[build-system]
requires = ["hatchling"]
build-backend = "hatchling.build"

[project]
name = "rumdpy"
version = "0.0.1"
authors = [
    {name="Thomas Schrøder", email="tbs@ruc.dk" },
    {name="Ulf R. Pedersen"},
    {name="Nick Bailey"},
    {name="Jesper Schmidt Hansen"},
    {name="Lorenzo Costigliola"},
    {name="Rishabh Sharma"},
]
maintainers = [
  { name="Thomas Schrøder", email="tbs@ruc.dk" }
]
description = "Roskilde University Molecular Dynamics Python Package"
readme = "README.md"
requires-python = ">=3.8"
dependencies = [
    "hypothesis",
    "matplotlib",
    "numpy",
    "numba",
    "pandas",
    "h5py",
]
classifiers = [
    "Programming Language :: Python :: 3",
    "License :: OSI Approved :: MIT License",
    "Development Status :: 1 - Planning",
    "Operating System :: OS Independent",
    "Environment :: GPU",
    "Framework :: Jupyter",
    "Intended Audience :: Science/Research",
    "Intended Audience :: Education",
    'Topic :: Scientific/Engineering',
    'Topic :: Scientific/Engineering :: Chemistry',
    'Topic :: Scientific/Engineering :: Physics',
]

[project.urls]
Repository = "https://gitlab.com/tbs.cph/rumdpy-dev"
Issues = "https://gitlab.com/tbs.cph/rumdpy-dev/-/issues"
